#define max_parts	15000
#define max_projs	500
#define total_weapons	12
#define max_asteroids	75


#define stun_length	300
#define invincible_length	100

#define Rad2AllegroDeg  40.74366543153
#define Degree			0.0174532925199432957692369076848861	

#ifndef M_PI
#define M_PI 3.14159265358979323846
#endif

typedef struct
{
	int x1,y1,x2,y2;
}rectangle;

int bounding_col(rectangle r1, rectangle r2);

//pass two rectangles to it to see if they are touching
int bounding_col(rectangle r1, rectangle r2)
{
	if( r1.x2 > r2.x1   &&   r1.x1 < r2.x2
     && r1.y2 > r2.y1   &&   r1.y1 < r2.y2)
		return 1;
	else
		return 0;
}

int check_col(BITMAP *b1, BITMAP *b2,float x1,float y1,float x2,float y2);

//pass two bitmaps and their respective positions to it to see if they are touching
int check_col(BITMAP *b1, BITMAP *b2,float x1,float y1,float x2,float y2)
     {
      if(x1+b1->w>x2 && x1 < x2+b2->w
      && y1+b1->h>y2 && y1 < y2+b2->h)
         return 1;
      else
         return 0;
      }
